Overview | Modules | Class Hierarchy | Classes | Members

Public Slots | Signals | Public Member Functions | Properties
tlp::FileNameEditorWidget Class Reference

File selection widget. More...

`#include <FileNameEditorWidget.h>`

List of all members.

## Public Slots

- void setFileName (const QString &)
- void setFilter (const QString &)
- void setBasePath (const QString &)

## Signals

- void fileNameChanged (const QString &)

## Public Member Functions

- FileNameEditorWidget (QWidget *parent=NULL)
- ~FileNameEditorWidget ()
- QString fileName () const
- QString filter () const
- QString getBasePath () const

## Properties

- QString fileName
- QString filter

## Detailed Description

File selection widget.

## Constructor & Destructor Documentation

tlp::FileNameEditorWidget::FileNameEditorWidget | ( | QWidget * | parent = `NULL` | ) | `[explicit]`

tlp::FileNameEditorWidget::~FileNameEditorWidget | ( |  | ) |

## Member Function Documentation

QString tlp::FileNameEditorWidget::fileName | ( |  | ) | const

void tlp::FileNameEditorWidget::fileNameChanged | ( | const QString & |  | ) | `[signal]`

QString tlp::FileNameEditorWidget::filter | ( |  | ) | const

QString tlp::FileNameEditorWidget::getBasePath | ( |  | ) | const

void tlp::FileNameEditorWidget::setBasePath | ( | const QString & |  | ) | `[slot]`

void tlp::FileNameEditorWidget::setFileName | ( | const QString & |  | ) | `[slot]`

void tlp::FileNameEditorWidget::setFilter | ( | const QString & |  | ) | `[slot]`

## Property Documentation

QString tlp::FileNameEditorWidget::fileName`[read, write]`

QString tlp::FileNameEditorWidget::filter`[read, write]`

Tulip Software by LaBRI Visualization Team 2001 - 2012